package com.jsowell.pile.service.impl;

import com.jsowell.pile.domain.ClearingBillDetail;
import com.jsowell.pile.mapper.ClearingBillDetailMapper;
import com.jsowell.pile.service.ClearingBillDetailService;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;

@Service
public class ClearingBillDetailServiceImpl implements ClearingBillDetailService{

    @Resource
    private ClearingBillDetailMapper clearingBillDetailMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return clearingBillDetailMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(ClearingBillDetail record) {
        return clearingBillDetailMapper.insert(record);
    }

    @Override
    public int insertOrUpdate(ClearingBillDetail record) {
        return clearingBillDetailMapper.insertOrUpdate(record);
    }

    @Override
    public int insertOrUpdateSelective(ClearingBillDetail record) {
        return clearingBillDetailMapper.insertOrUpdateSelective(record);
    }

    @Override
    public int insertSelective(ClearingBillDetail record) {
        return clearingBillDetailMapper.insertSelective(record);
    }

    @Override
    public ClearingBillDetail selectByPrimaryKey(Integer id) {
        return clearingBillDetailMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(ClearingBillDetail record) {
        return clearingBillDetailMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(ClearingBillDetail record) {
        return clearingBillDetailMapper.updateByPrimaryKey(record);
    }

    @Override
    public int updateBatch(List<ClearingBillDetail> list) {
        return clearingBillDetailMapper.updateBatch(list);
    }

    @Override
    public int batchInsert(List<ClearingBillDetail> list) {
        return clearingBillDetailMapper.batchInsert(list);
    }

}
